com.amazonaws.services.codebuild.model

## Class BuildArtifacts

- java.lang.Object
- - com.amazonaws.services.codebuild.model.BuildArtifacts

All Implemented Interfaces:
  Serializable, Cloneable

    public class BuildArtifacts
    extends Object
    implements Serializable, Cloneable

Information about build output artifacts.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BuildArtifacts()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BuildArtifacts` `clone()`
`boolean` `equals(Object obj)`
`String` `getLocation()` Information about the build artifacts' location.
`String` `getMd5sum()` The MD5 hash of the build artifact.
`String` `getSha256sum()` The SHA-256 hash of the build artifact.
`int` `hashCode()`
`void` `setLocation(String location)` Information about the build artifacts' location.
`void` `setMd5sum(String md5sum)` The MD5 hash of the build artifact.
`void` `setSha256sum(String sha256sum)` The SHA-256 hash of the build artifact.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`BuildArtifacts` `withLocation(String location)` Information about the build artifacts' location.
`BuildArtifacts` `withMd5sum(String md5sum)` The MD5 hash of the build artifact.
`BuildArtifacts` `withSha256sum(String sha256sum)` The SHA-256 hash of the build artifact.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BuildArtifacts

    public BuildArtifacts()

### Method Detail

#### setLocation

    public void setLocation(String location)

Information about the build artifacts' location.

Parameters:
  `location` - Information about the build artifacts' location.

#### getLocation

    public String getLocation()

Information about the build artifacts' location.

Returns:
  Information about the build artifacts' location.

#### withLocation

    public BuildArtifacts withLocation(String location)

Information about the build artifacts' location.

Parameters:
  `location` - Information about the build artifacts' location.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setSha256sum

    public void setSha256sum(String sha256sum)

The SHA-256 hash of the build artifact.

You can use this hash along with a checksum tool to confirm both file integrity and authenticity.

<note>

This value is available only if the related build project's `packaging` value is set to `ZIP`.

</note>

Parameters:
  `sha256sum` - The SHA-256 hash of the build artifact.

  You can use this hash along with a checksum tool to confirm both file integrity and authenticity.

  <note>

  This value is available only if the related build project's `packaging` value is set to `ZIP`.

#### getSha256sum

    public String getSha256sum()

The SHA-256 hash of the build artifact.

You can use this hash along with a checksum tool to confirm both file integrity and authenticity.

<note>

This value is available only if the related build project's `packaging` value is set to `ZIP`.

</note>

Returns:
  The SHA-256 hash of the build artifact.

  You can use this hash along with a checksum tool to confirm both file integrity and authenticity.

  <note>

  This value is available only if the related build project's `packaging` value is set to `ZIP`.

#### withSha256sum

    public BuildArtifacts withSha256sum(String sha256sum)

The SHA-256 hash of the build artifact.

You can use this hash along with a checksum tool to confirm both file integrity and authenticity.

<note>

This value is available only if the related build project's `packaging` value is set to `ZIP`.

</note>

Parameters:
  `sha256sum` - The SHA-256 hash of the build artifact.

  You can use this hash along with a checksum tool to confirm both file integrity and authenticity.

  <note>

  This value is available only if the related build project's `packaging` value is set to `ZIP`.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMd5sum

    public void setMd5sum(String md5sum)

The MD5 hash of the build artifact.

You can use this hash along with a checksum tool to confirm both file integrity and authenticity.

<note>

This value is available only if the related build project's `packaging` value is set to `ZIP`.

</note>

Parameters:
  `md5sum` - The MD5 hash of the build artifact.

  You can use this hash along with a checksum tool to confirm both file integrity and authenticity.

  <note>

  This value is available only if the related build project's `packaging` value is set to `ZIP`.

#### getMd5sum

    public String getMd5sum()

The MD5 hash of the build artifact.

You can use this hash along with a checksum tool to confirm both file integrity and authenticity.

<note>

This value is available only if the related build project's `packaging` value is set to `ZIP`.

</note>

Returns:
  The MD5 hash of the build artifact.

  You can use this hash along with a checksum tool to confirm both file integrity and authenticity.

  <note>

  This value is available only if the related build project's `packaging` value is set to `ZIP`.

#### withMd5sum

    public BuildArtifacts withMd5sum(String md5sum)

The MD5 hash of the build artifact.

You can use this hash along with a checksum tool to confirm both file integrity and authenticity.

<note>

This value is available only if the related build project's `packaging` value is set to `ZIP`.

</note>

Parameters:
  `md5sum` - The MD5 hash of the build artifact.

  You can use this hash along with a checksum tool to confirm both file integrity and authenticity.

  <note>

  This value is available only if the related build project's `packaging` value is set to `ZIP`.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public BuildArtifacts clone()

Overrides:
  `clone` in class `Object`